%define major 1
%define libname %mklibname pcsclite %{major}
%define develname %mklibname pcsclite -d
%define staticname %mklibname pcsclite -d -s

Summary:	M.U.S.C.L.E. PC/SC Framework for Linux
Name:		pcsc-lite
Version:	1.8.2
Release:	2
License:	BSD-like
Group:		System/Servers
URL:		http://pcsclite.alioth.debian.org
Source0:	https://alioth.debian.org/frs/download.php/2479/pcsc-lite-%{version}.tar.bz2
Source1:	https://alioth.debian.org/frs/download.php/2480/pcsc-lite-%{version}.tar.bz2.asc
Source2:	pcscd.script
BuildRequires:	chkconfig 
BuildRequires:	flex
BuildRequires:	libusb-devel
Requires(pre):	rpm-helper
Requires:	rpm-helper

%description
pcscd is the daemon program for PC/SC Lite. It is a resource 
manager that coorinates communications with Smart Card readers and Smart 
Cards that are connected to the system.

The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a 
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R)

This package was tested to work with A.E.T. Europe SafeSign. This
package is supported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package -n	%{libname}
Summary:	Muscle PCSC Framework for Linux libraries
Group:		System/Libraries
Conflicts:	%name < 1.1.2-5mdk
Provides:	libpcsclite%{major} = %{version}-%{release}

%description -n	%{libname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package -n	%{develname}
Summary:	Muscle PCSC Framework for Linux development files
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libpcsclite-devel = %{version}-%{release}
Obsoletes:	%mklibname -d pcsclite 1
Conflicts:	%mklibname -d pcsclite 0

%description -n	%{develname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package -n	%{staticname}
Summary:	Muscle PCSC Framework for Linux development files
Group:		Development/Other
Requires:	%{develname} = %version
Provides:	%name-static-devel = %version-%release
Obsoletes:	%mklibname -d -s pcsclite 1

%description -n	%{staticname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-static-devel package contains the static header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you may need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%prep
%setup -q

%build
%serverbuild
%configure2_5x --enable-static \
   --enable-usbdropdir=%{_libdir}/pcsc/drivers/ \
   --enable-libusb --disable-libudev  --with-systemdsystemunitdir=/lib/systemd/system/
%make

%install
%makeinstall_std

mkdir -p %{buildroot}/%{_initrddir}
cp %SOURCE2 %{buildroot}/%{_initrddir}/pcscd

# remove unpackaged files
rm -f %{buildroot}%{_datadir}/pcscd.startup
rm -rf %{buildroot}/%{_docdir}/*

%post
%_post_service pcscd

%preun
%_preun_service pcscd      

%files
%doc AUTHORS COPYING DRIVERS HELP INSTALL NEWS README SECURITY
%doc doc/README.DAEMON
%attr(755,root,root) %{_initrddir}/pcscd
%{_mandir}/*/*
%{_sbindir}/*
%{_bindir}/pcsc-spy
/lib/systemd/system/pcscd.*

%files -n %{libname}
%{_libdir}/libpcsc*.so.%{major}*
%{_libdir}/libpcscspy.so.0*

%files -n %{develname}
%doc ChangeLog
%{_libdir}/pkgconfig/* 
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.so

%files -n %{staticname}
%{_libdir}/*.a


%changelog
* Thu Jan 19 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.8.2-2
+ Revision: 762310
- added systemd service and removed libhal

* Thu Jan 19 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.8.2-1
+ Revision: 762305
- version update to 1.8.2

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1.6.6-2
+ Revision: 667015
- mass rebuild

* Sat Jan 01 2011 Anssi Hannula <anssi@mandriva.org> 1.6.6-1mdv2011.0
+ Revision: 627057
- new version
  o deprecated ifdhandler PDF has been dropped

* Mon Aug 16 2010 Emmanuel Andry <eandry@mandriva.org> 1.6.4-1mdv2011.0
+ Revision: 570476
- New version 1.6.4

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 1.6.1-3mdv2011.0
+ Revision: 562991
- add provides for static package

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 1.6.1-2mdv2011.0
+ Revision: 562986
- build static lib for libchipcard

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 1.6.1-1mdv2011.0
+ Revision: 562970
- New version 1.6.1
- use libusb rather than libhal for distro policy

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5.5-2mdv2010.1
+ Revision: 521156
- rebuilt for 2010.1

* Sun Aug 02 2009 Emmanuel Andry <eandry@mandriva.org> 1.5.5-1mdv2010.0
+ Revision: 407552
- New version 1.5.5

* Tue Jul 28 2009 Emmanuel Andry <eandry@mandriva.org> 1.5.4-1mdv2010.0
+ Revision: 402524
- New version 1.5.4

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.3-1mdv2010.0
+ Revision: 370169
- Update to new version 1.5.3

* Sun Feb 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.2-1mdv2009.1
+ Revision: 340647
- Update to new version 1.5.2

* Thu Jan 22 2009 Funda Wang <fwang@mandriva.org> 1.5.1-1mdv2009.1
+ Revision: 332590
- New verison 1.5.1

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.102-1mdv2009.0
+ Revision: 229708
- 1.4.102
- spec file massage

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 1.4.101-1mdv2009.0
+ Revision: 200030
- New version 1.4.101

* Thu Apr 24 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.4.100-1mdv2009.0
+ Revision: 197113
- prefers libhal over libusb now
- new version 1.4.100
- update License tag for licensing policy
- better library policy compliance

* Tue Mar 25 2008 Thierry Vignaud <tv@mandriva.org> 1.4.4-3mdv2008.1
+ Revision: 190012
- move 360k of docs into devel subpackage

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-2mdv2008.1
+ Revision: 179159
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 1.4.4-1mdv2008.0
+ Revision: 80711
- correct license to BSD
- new release 1.4.4

* Sat Jul 14 2007 Adam Williamson <awilliamson@mandriva.org> 1.4.3-1mdv2008.0
+ Revision: 52107
- new devel policy
- new release 1.4.3

* Mon May 28 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.2-1mdv2008.0
+ Revision: 32049
- added tetex-latex to buildrequries
- updated to version 1.4.2

